## Name

arot — Performs a rotation about the specified axis (x y z) using screen units (-2048 to +2048).

## Synopsis

`arot` { `x`} { `y`} { `z`} { `angle`}

## DESCRIPTION

Performs a rotation about the specified axis (x y z) using screen units (-2048 to +2048). The amount of rotation is determined by angle, which is in degrees. Exactly what is rotated and how it is rotated are dependent on MGED's state as well as the state of the display manager. For example, in normal viewing mode, this command simply rotates the view. However, in primitive edit mode, it rotates the shape being edited.

## EXAMPLES

The example demonstrates the use of the arot command to rotate a view or shape about the z axis.

Example 1. Rotating a view or shape 10 degrees about the z axis.

`mged>` `arot 0 0 1 10`

The view or shape is rotated 10 degrees about the z axis.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.